安装我们的应用 🪄 点击地址栏右上角的图标.

通知处理

GET https://www.monit.com.cn/api/notification-handlers/
curl --request GET \
--url 'https://www.monit.com.cn/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
参数 详情 描述
search 可选 字符串 搜索字符串.
search_by 可选 字符串 您要按哪个字段进行搜索?允许的值包括: name.
is_enabled 可选 布尔值
type 可选 字符串 您要按哪个字段进行搜索?允许的值包括: email, webhook, slack, discord, telegram, microsoft_teams.
datetime_field 可选 字符串 允许的值: datetime, last_datetime
datetime_start 可选 字符串 筛选从此日期时间开始的结果.请使用Y-m-d H:i:s格式.
datetime_end 可选 字符串 筛选截止到此日期时间的结果.请使用Y-m-d H:i:s格式.
order_by 可选 字符串 按哪个字段对结果进行排序.允许的值包括: notification_handler_id, datetime, last_datetime, name.
order_type 可选 字符串 结果的排序方式.允许的值为: ASC(升序)DESC(降序).
page 可选 整数 您想要获取结果的页码.默认值为1.
results_per_page 可选 整数 每页显示多少条结果.允许的值包括: 10, 25, 50, 100, 250, 500, 1000. 默认值为25.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "hey@example.com"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-05-30 06:57:38",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://www.monit.com.cn/api/notification-handlers?page=1",
        "last": "https://www.monit.com.cn/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://www.monit.com.cn/api/notification-handlers?page=1"
    }
}
GET https://www.monit.com.cn/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://www.monit.com.cn/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hey@example.com"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-05-30 06:57:38",
    }
}
POST https://www.monit.com.cn/api/notification-handlers
参数 详情 描述
name 必填 字符串 -
type 必填 字符串 允许的值: email, webhook, slack, discord, telegram, microsoft_teams
email 可选 字符串 可用条件: type = email 电子邮件
webhook 可选 字符串 可用条件: type = webhook Webhook URL
slack 可选 字符串 可用条件: type = slack Slack webhook URL
discord 可选 字符串 可用条件: type = discord Discord webhook URL
telegram 可选 字符串 可用条件: type = telegram Telegram API令牌
telegram_chat_id 可选 字符串 可用条件: type = telegram Telegram聊天ID
microsoft_teams 可选 字符串 可用条件: type = microsoft_teams Microsoft Teams webhook URL
curl --request POST \
--url 'https://www.monit.com.cn/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://www.monit.com.cn/api/notification-handlers/{notification_handler_id}
参数 详情 描述
name 可选 字符串 -
type 可选 字符串 允许的值: email, webhook, slack, discord, telegram, microsoft_teams
email 可选 字符串 可用条件: type = email 电子邮件
webhook 可选 字符串 可用条件: type = webhook Webhook URL
slack 可选 字符串 可用条件: type = slack Slack webhook URL
discord 可选 字符串 可用条件: type = discord Discord webhook URL
telegram 可选 字符串 可用条件: type = telegram Telegram API令牌
telegram_chat_id 可选 字符串 可用条件: type = telegram Telegram聊天ID
microsoft_teams 可选 字符串 可用条件: type = microsoft_teams Microsoft Teams webhook URL
is_enabled 可选 布尔值 -
curl --request POST \
--url 'https://www.monit.com.cn/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://www.monit.com.cn/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://www.monit.com.cn/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \